From:  Harald Kirschner <harald@mozilla.com>
Date:  03 Oct 2017 23:19:05 Hong Kong Time
Newsgroup:  news.mozilla.org/mozilla.dev.developer-tools
Subject:  

Re: Cleaning up backward compatibility code used to support connecting to (very) old Firefoxes

NNTP-Posting-Host:  63.245.214.181

Thanks Alex for kicking this off.

Making ESR 52 the minimum remote-debuggable version makes a lot of sense as
it is in line with getting users of older Firefox versions that are not
maintained nor secure.


On Tue, Oct 3, 2017 at 06:03 Patrick Brosset  wrote:

> Supporting all the way up to ESR sounds good to me.
> There might be many ways to find old backward-compat code, but one is to
> search for actorHasMethod in the codebase:
>
> http://searchfox.org/mozilla-central/search?q=actorHasMethod&path=devtools%2Fclient
>
> As an example, I filed this bug:
> https://bugzilla.mozilla.org/show_bug.cgi?id=1405288
>
> On Tue, Oct 3, 2017 at 2:19 AM,  wrote:
>
> > I forgot to mention https://bugzilla.mozilla.org/show_bug.cgi?id=1405007
> > which is a META bug to track all such cleanup over time.
> > _______________________________________________
> > dev-developer-tools mailing list
> > dev-developer-tools@lists.mozilla.org
> > https://lists.mozilla.org/listinfo/dev-developer-tools
> >
> _______________________________________________
> dev-developer-tools mailing list
> dev-developer-tools@lists.mozilla.org
> https://lists.mozilla.org/listinfo/dev-developer-tools
>